Canvas5GraphInternal::LocalTransform Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
Canvas5GraphInternal::LocalTransform Struct Reference

Internal: the local state of a Canvas5Graph. More...

## Public Member Functions
| LocalTransform (MWAWPosition const &pos=MWAWPosition(), MWAWGraphicStyle const &style=MWAWGraphicStyle::emptyStyle())
| default constructor More...
void | multiplyMatrix (std::array< double, 9 > const &mat)
| set the matrix transform More...

## Public Attributes
MWAWPosition | m_position
MWAWGraphicStyle | m_style
MWAWTransformation | m_transform

## Detailed Description

Internal: the local state of a Canvas5Graph.

## Constructor & Destructor Documentation

## ◆ LocalTransform()

Canvas5GraphInternal::LocalTransform::LocalTransform | ( | MWAWPosition const & | pos = `MWAWPosition()`,
|  | MWAWGraphicStyle const & | style = `MWAWGraphicStyle::emptyStyle()`
| ) |  |
| inline

default constructor

## Member Function Documentation

## ◆ multiplyMatrix()

void Canvas5GraphInternal::LocalTransform::multiplyMatrix | ( | std::array< double, 9 > const & | mat | ) |
| inline

set the matrix transform

Referenced by Canvas5Graph::send().

## Member Data Documentation

## ◆ m_position

MWAWPosition Canvas5GraphInternal::LocalTransform::m_position

Referenced by Canvas5Graph::sendCurveText(), Canvas5Graph::sendDimension(), Canvas5Graph::sendEffect(), Canvas5Graph::sendExtrude(), and Canvas5Graph::sendSpecial().

## ◆ m_style

MWAWGraphicStyle Canvas5GraphInternal::LocalTransform::m_style

Referenced by Canvas5Graph::send(), Canvas5Graph::sendDimension(), Canvas5Graph::sendEffect(), Canvas5Graph::sendExtrude(), and Canvas5Graph::sendSpecial().

## ◆ m_transform

MWAWTransformation Canvas5GraphInternal::LocalTransform::m_transform

Referenced by multiplyMatrix(), Canvas5Graph::send(), Canvas5Graph::sendCurveText(), Canvas5Graph::sendDimension(), Canvas5Graph::sendEffect(), Canvas5Graph::sendExtrude(), and Canvas5Graph::sendSpecial().

The documentation for this struct was generated from the following file:

- Canvas5Graph.cxx